Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.provider
Class TransientGroupedItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.TransientGroupedItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AttributesItemProvider, RelatedActsItemProvider, StylesItemProvider

    public class TransientGroupedItemProvider

extends MetaABMItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.metaabm.provider.MetaABMItemProvider
`displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`TransientGroupedItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.ecore.EObject parent)`

Method Summary
`protected org.eclipse.emf.common.command.Command` | `createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection, int index)`
`org.eclipse.emf.common.command.Command` | `createCommand(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass, org.eclipse.emf.edit.command.CommandParameter commandParameter)`
`protected org.eclipse.emf.common.command.Command` | `createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection)`
`protected org.eclipse.emf.common.command.Command` | `createWrappedCommand(org.eclipse.emf.common.command.Command command, org.eclipse.emf.ecore.EObject owner)`
`java.util.Collection<?>` | `getChildren(java.lang.Object object)`
`java.lang.String` | `getCreateChildDescription(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the description for `CreateChildCommand`.
`java.util.Collection<?>` | `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Object sibling)`
`java.lang.Object` | `getParent(java.lang.Object object)`
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestID, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createChildParameter, createChildrenStore, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildrenFeatures, getChildrenReferences, getChildrenStore, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getImage, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getText, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage, getText`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Constructor Detail

### TransientGroupedItemProvider

    public TransientGroupedItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                        org.eclipse.emf.ecore.EObject parent)

Method Detail

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                          java.lang.Object sibling)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `getNewChildDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createCommand

    public org.eclipse.emf.common.command.Command createCommand(java.lang.Object object,
                                                                org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass,
                                                                org.eclipse.emf.edit.command.CommandParameter commandParameter)

  Specified by:
    `createCommand` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `createCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getCreateChildDescription

    public java.lang.String getCreateChildDescription(java.lang.Object owner,
                                                      java.lang.Object feature,
                                                      java.lang.Object child,
                                                      java.util.Collection<?> selection)

  This returns the description for `CreateChildCommand`.

  Specified by:
    `getCreateChildDescription` in interface `org.eclipse.emf.edit.command.CreateChildCommand.Helper`
  Overrides:
    `getCreateChildDescription` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createRemoveCommand

    protected org.eclipse.emf.common.command.Command createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                         org.eclipse.emf.ecore.EObject owner,
                                                                         org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                         java.util.Collection<?> collection)

  Overrides:
    `createRemoveCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createAddCommand

    protected org.eclipse.emf.common.command.Command createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                      org.eclipse.emf.ecore.EObject owner,
                                                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                      java.util.Collection<?> collection,
                                                                      int index)

  Overrides:
    `createAddCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createWrappedCommand

    protected org.eclipse.emf.common.command.Command createWrappedCommand(org.eclipse.emf.common.command.Command command,
                                                                          org.eclipse.emf.ecore.EObject owner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD